%define name        mx4j
%define version     1.1.1
%define release     5jpp_3rh
%define section     free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:		1
Summary:        Open source implementation of JMX Java API
License:        Apache License
Group:          Development/Libraries/Java
#Vendor:     	JPackage Project
#Distribution:   JPackage
Source0:        %{name}-%{version}.tar.gz
Patch0:		mx4j-javaxssl.patch
Url:            http://mx4j.sourceforge.net/
BuildRequires:  ant
BuildRequires:	jaf
BuildRequires:	javamail >= 1.2-5jpp
BuildRequires:	jython >= 2.1
BuildRequires:	log4j >= 1.2.7
BuildRequires:	jakarta-commons-logging >= 1.0.1
BuildRequires:  xml-commons-apis
BuildRequires:  bcel >= 5.0
BuildRequires:	jsse >= 1.0.2-6jpp
BuildRequires:	jce >= 1.2.2
BuildRequires:	junit >= 3.7.1
BuildRequires:  jpackage-utils > 1.4
Buildarch:      noarch
Requires:       /usr/sbin/update-alternatives
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:      openjmx
Provides:	jmxri

%description
OpenJMX is an open source implementation of the
Java(TM) Management Extensions (JMX).

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}
Obsoletes:      openjmx-javadoc

%description javadoc
Javadoc for %{name}.

%package manual
Group:          Development/Libraries/Java
Summary:        Documentation for %{name}

%description    manual
Documentation for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}

%patch0 -p1

# rm all files except xdoclet/xjavadoc/docbook
find lib -type f ! -name "xdoclet*.jar" ! -name "docbook*.*" ! -name "xjavadoc*.jar" -exec rm -f \{\} \;

%build

export CLASSPATH=$(build-classpath activation javamail/mailapi javamail/smtp \
   jython jakarta-commons-logging xml-commons-apis bcel jsse jaas jce log4j \
   junit jaxp_transform_impl)

cd build
ant jars javadocs docs

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 dist/lib/%{name}-actions.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-actions-%{version}.jar
install -m 644 dist/lib/%{name}-jmx.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jmx-%{version}.jar
install -m 644 dist/lib/%{name}-tools.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-tools-%{version}.jar

pushd $RPM_BUILD_ROOT%{_javadir}/%{name}
   for jar in *-%{version}.jar ; do
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
   done
popd

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -r dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
rm -f %{_javadir}/%{name}.jar

%post
/usr/sbin/update-alternatives --install %{_javadir}/jmxri.jar jmxri %{_javadir}/%{name}/%{name}-jmx.jar 0

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/update-alternatives --remove jmxri %{_javadir}/%{name}/%{name}-jmx.jar
fi


%files
%defattr(-,root,root)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%files manual
%defattr(0644,root,root,0755)
%doc dist/docs/*

%changelog
* Wed Mar 31 2004 Frank Ch. Eigler <fche@redhat.com> 1:1.1.1-4jpp_3rh
- bump up epoch for RHUG upgrading

* Fri Mar 26 2004 Frank Ch. Eigler <fche@redhat.com> 0:1.1.1-4jpp_2rh
- add RHUG upgrade cleanup

* Thu Mar 11 2004 Frank Ch. Eigler <fche@redhat.com: 0:1.1.1-4jpp_1rh
- RH vacuuming
- added mx4j-javaxssl.patch to use javax.net.* instead of com.sun.net.*

* Mon Mar 24 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.1.1-4jpp
- jmxri alternative

* Mon Mar 24 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.1.1-3jpp
- use own dir
- For jpackage-utils 1.5

* Thu Feb 20 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.1.1-1jpp
- mx4j 1.1.1
- grabed from CVS TAG MX4J_1_1_1

* Wed Sep 18 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.1-3jpp
- added missing xsl/jython resources in mx4j-tools.jar
- correct the build.xml to have correct contents for mx4.jar and mx4j-tools.jar

* Tue Jul 02 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-2jpp
- bzipped additional sources
- section macro
- ant already requires jaxp_parser
- fixed source perms
- fixed compilation with jsse and javamail
- buildrequires jsse >= 1.0.2-6jpp
- buildrequires javamail >= 1.2-5jpp

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.1-1jpp
- mx4j 1.1 
- set correct jpackage tags
- add provide jmxri

* Mon Mar 04 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0b3-1jpp
- mx4j 1.0b3 (previous name was openjmx)

* Fri Jan 18 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0b1-1jpp
- first JPackage release


